> For the complete documentation index, see [llms.txt](https://docs.zivoe.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zivoe.com/developer-docs.md).

# Developer Docs

- [Contract Addresses](https://docs.zivoe.com/developer-docs/contract-addresses.md): ⚠️ All contracts are deployed on Ethereum Mainnet
- [Core Contracts](https://docs.zivoe.com/developer-docs/core-contracts.md): List of Core Contracts
- [ZivoeDAO.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoedao.sol.md): DAO -> Decentralized Autonomous Organization
- [ZivoeGlobals.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoeglobals.sol.md): Global Variables for Zivoe Protocol
- [ZivoeGovernorV2.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoegovernorv2.sol.md): Zivoe Governance, Proposal Management
- [ZivoeITO.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoeito.sol.md): ITO -> Initial Tranche Offering
- [ZivoeLocker.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoelocker.sol.md): Abstract Locker Contract
- [ZivoeMath.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoemath.sol.md): Mathematics for Yield Distributions
- [ZivoeRewards.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoerewards.sol.md): Staking for Native Protocol Token(s)
- [ZivoeRewardsVesting.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoerewardsvesting.sol.md): Vesting $ZVE Linearly
- [ZivoeToken.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoetoken.sol.md): Native Governance Token
- [ZivoeTranches.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoetranches.sol.md): Minting Tranche Tokens
- [ZivoeTrancheToken.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoetranchetoken.sol.md): Native Tranche Token
- [ZivoeYDL.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoeydl.sol.md): YDL -> Yield Distribution Locker
- [ZivoeVault.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoevault.sol.md): ERC-4626 Vault ($zVLT)
- [ZivoeRouter.sol](https://docs.zivoe.com/developer-docs/core-contracts/zivoerouter.sol.md): Interfaces with ZivoeVault
- [Lockers](https://docs.zivoe.com/developer-docs/lockers.md): List of Lockers
- [OCC\_Modular.sol](https://docs.zivoe.com/developer-docs/lockers/occ_modular.sol.md): OCC -> On-Chain Credit (Loan Management System)
- [OCE\_ZVE.sol](https://docs.zivoe.com/developer-docs/lockers/oce_zve.sol.md): OCE -> On-Chain Emissions ($ZVE, Exponential Decay)
- [OCL\_ZVE.sol](https://docs.zivoe.com/developer-docs/lockers/ocl_zve.sol.md): OCL -> On-Chain Liquidity (Sushi, Uniswap)
- [OCR\_Modular.sol](https://docs.zivoe.com/developer-docs/lockers/ocr_modular.sol.md): OCR -> On-Chain Redemption
- [OCT\_DAO.sol](https://docs.zivoe.com/developer-docs/lockers/oct_dao.sol.md): OCT -> On-Chain Treasury
- [OCT\_Convert.sol](https://docs.zivoe.com/developer-docs/lockers/oct_convert.sol.md): OCT -> On-Chain Treasury
- [OCT\_YDL.sol](https://docs.zivoe.com/developer-docs/lockers/oct_ydl.sol.md): OCT -> On-Chain Treasury
- [OCT\_ZVL.sol](https://docs.zivoe.com/developer-docs/lockers/oct_zvl.sol.md): OCT -> On-Chain Treasury
- [OCY\_Convex\_A.sol](https://docs.zivoe.com/developer-docs/lockers/ocy_convex_a.sol.md): OCY -> On-Chain Yield
- [OCY\_Convex\_B.sol](https://docs.zivoe.com/developer-docs/lockers/ocy_convex_b.sol.md): OCY -> On-Chain Yield
- [OCY\_Convex\_C.sol](https://docs.zivoe.com/developer-docs/lockers/ocy_convex_c.sol.md): OCY -> On-Chain Yield
- [OCY\_OUSD.sol](https://docs.zivoe.com/developer-docs/lockers/ocy_ousd.sol.md): OCY -> On-Chain Yield
- [ZivoeSwapper.sol](https://docs.zivoe.com/developer-docs/lockers/zivoeswapper.sol.md): 1INCH v5 Integration


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zivoe.com/developer-docs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
